import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

//Declare dimensions for SVG
const width = 960;
const height = 500;

const App = () => {
  const data = useData();

//Display Loading when no data
  if (!data) {
    return <pre>Loading...</pre>;
  }

//return SVG when data is there
  return (
    <svg width={width} height={height}>
        <Marks data={data} width={width} height={height} />
    </svg>
  );
};
// Render react element
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
