import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

//declare the url of the json file containing state information
const jsonUrl =
  "https://gist.githubusercontent.com/Dhanu0725/c3456fde85539daa894efd8c7314df35/raw/6b3ba0abc264cf24509c678f11fac96664c96dac/gujarat.json";

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)

  //useEffect() to run the effects after any changes to the DOM.
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          land: feature(topojsonData, topojsonData.objects['gujarat']),
        	interiors: mesh(topojsonData, topojsonData.objects['gujarat'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};